package com.test;

import java.io.IOException;
import java.io.InputStream;
import java.util.List;

import org.apache.ibatis.io.Resources;
import org.apache.ibatis.session.SqlSession;
import org.apache.ibatis.session.SqlSessionFactory;
import org.apache.ibatis.session.SqlSessionFactoryBuilder;
import org.junit.Test;
import com.dao.ProductCategoryMapper;
import com.pojo.ProductCategory;

public class TestProduct {
	SqlSession sqlSession = null;
	ProductCategoryMapper productCategoryMapper = null;
	public void init() {
		try {
		//1. sqlsession factory biulder 
	    SqlSessionFactoryBuilder sfb = new SqlSessionFactoryBuilder();
	    //2. ļΪһ
	    //Resources ʹõİ ibatis
	    InputStream resourceAsStream;
			resourceAsStream = Resources.getResourceAsStream("mybatis-config.xml");
	    //3. ͨỰ   ļ   һỰ칤
	    SqlSessionFactory factory = sfb.build(resourceAsStream);
	    //4. ͨsqlỰ //true mybatisԶύ
	    sqlSession = factory.openSession(true);
	    
	    productCategoryMapper = sqlSession.getMapper(ProductCategoryMapper.class);
		} catch (IOException e) {
			e.printStackTrace();
		}
	}
	//ԲϢ
    @Test
    public void testInstert(){
    	productCategoryMapper.insertProductCategory(new ProductCategory(null, ""));
    }
    //޸Ϣ
    @Test
    public void testUpdate(){
    	ProductCategory productCategory = productCategoryMapper.selectProductCategoryById(4);
    	productCategory.setNAME("Ӣ");
    	productCategoryMapper.updateProductCategory(productCategory);
    }
    //ԸidѯָϢ
    @Test
    public void testSelectPersonById(){
    	ProductCategory productCategory = productCategoryMapper.selectProductCategoryById(1);
        System.out.println(productCategory);
    }
    //ȫ
    @Test
    public void testSelectAll(){
        List<ProductCategory> list = productCategoryMapper.selectAll();
        for(ProductCategory p: list){
            System.out.println(p);
        }
    }
    //ɾ
    @Test
    public  void testDelete(){
    	productCategoryMapper.deleteById(5);
    }
	public static void main(String[] args) {
		TestProduct test = new TestProduct();
		test.init();
		test.testInstert();
		test.testUpdate();
        test.testSelectPersonById();
        test.testSelectAll();
        test.testDelete();
	}
}
